# Magento 2 Translation Extension by [Magefan](https://magefan.com/magento2-extensions)

[![Total Downloads](https://poser.pugx.org/magefan/module-translation/downloads)](https://packagist.org/packages/magefan/module-translation)
[![Latest Stable Version](https://poser.pugx.org/magefan/module-translation/v/stable)](https://packagist.org/packages/magefan/module-translation)

<a href="https://savelife.in.ua/en/donate-en/#donate-army-card-monthly"><img width="830" height="208" src="https://cm.magefan.com/blog/support-ukraine.png"></a>

<img width="150" height="100" src="https://magefan.com/media/wysiwyg/made_in_ukraine.jpg">

<img align="right" width="120" height="120" src="https://cm.magefan.com/catalog/product/cache/28b407cef1668fd0bdd6f36db3e8e2f0/i/c/icon-translate.jpg">

[Magento 2 Translation](https://magefan.com/magento-2-translation-extension) is the extension that allows you to add a translation for buttons, labels, CMS blocks, email templates, and product and category attributes directly from the admin panel. You don’t have to search for texts available for translation. This translation solution has already found them for you. 

Magento translation can be easy. You just need the right tools!

<a href="https://magefan.com/magento-2-translation-extension"><img width="190" height="70" src="https://cm.magefan.com/wysiwyg/products/download-magefan-extensions.png"></a><a href="https://magefan.com/magento-2-translation-extension#live-demo"><img width="190" height="70" src="https://cm.magefan.com/wysiwyg/products/magefan-live-demo.png"></a>
## Requirements
  * Magento Community Edition 2.1.x-2.4.x or Magento Enterprise Edition 2.1.x-2.4.x

## Editions & Pricing
  
<a href="https://magefan.com/magento-2-translation-extension/pricing">
          <img
            src="https://cm.magefan.com/wysiwyg/products/magento-2-translation-extension-pricing.png"
            alt="Pricing for Magento 2 Translation Extension" />
</a>

## Benefits
* Convenient website translation from the admin panel
* Improve the Magento translation database
* Product/category translation in a few clicks


## Features

* **Translate Magento from the Admin Panel**

Once you install a language pack in your Magento store, you might discover it covers about 50% of the translations. Some words might even be missing because they are not wrapped in the translation function.

That’s why you need the Magento 2 Translation extension to make the translation process easier. You can use it to easily add translation to multiple languages from the admin panel. Use the Search & Translate feature to find all the worlds available for translation and translate them in a matter of a few clicks.

<p align="center">
  <img width="853" height="425" src="https://cm.magefan.com/catalog/magento-translation-from-the-admin-panel.png">
</p>


* **Translate Buttons and Labels**
  
If some buttons, labels or short phrases on your storefront haven’t been translated by the language pack, we’ve got you covered. You can use this Magento 2 Translation Extension to translate them to all available languages. 

Once you add the translation it is applied to all of your store pages; products, categories, CMS pages and blocks. We won’t let you miss anything. 


* **Translate Product and Categories**

By default, you have to go to each store view separately to translate content and edit attributes. It is extremely ineffective and time-consuming. But not if you have the Magento 2 Translation extension or Magefan. 

You can now translate all content and edit product attributes without leaving a default store view. Just click on the “Translate” button and update your content in a handy pop-up. Alternatively, you can also use the translation form.

<p align="center">
  <img width="853" height="425" src="https://cm.magefan.com/catalog/translate-products-and-categories-magento.png">
</p>

* **Translate Email Templates**

Email marketing is not dead. On the contrary, it is still one of the most popular ways to connect to your customers, retarget or make them convert. So, if you manage a multi-language store, it‘s key to reach out to your customers in their local language. 

Use Magento 2 Translation Extension to translate emails without creating multiple templates. Once you wrap email strings in the translation function, you’ll be able to translate each string in the translations dashboard. 

* **Manage All Translation Better**

Magento localization is a work in process. You always add new content to your store which requires translation. It might become a mess, depending on the number of store views you have and translations already added to your store. But it won’t 

Each translation you make is carefully stored in the Translations panel. You can quickly find the required text using filters. Search for translations using original/translated text, locale or store views.

<p align="center">
  <img width="853" height="425" src="https://cm.magefan.com/wysiwyg/search-and-translate-text-to-translate-magento.png">
</p>

* **Import/ Export Translations**

If you already have some translations made with the Inline Translate tool or just want to migrate your translations database to a new server, there is an easy way. You can easily import and export your translation between instances. 

Be sure your translations will never go missing. You can always keep them stored in the CSV or XML format.

## Demo

Try out our open demo and if you like our extension **please give us some star on Github ★**
<table>
  <tbody>
    <tr>
      <td align="center" valign="middle">
        Storefront Demo
      </td>
      <td align="center" valign="middle">
        Admin Panel Demo
      </td align="center" valign="middle">
    </tr>
    <tr>
      <td align="center" valign="middle">
        <a href="https://tr.demo.magefan.top/">
          <img
            src="https://magefan.com/static/version1520969775/frontend/Magefan/new/en_US/images/product-tab-demo-1.jpg"
            alt="Magneto 2 Translation Extension Storefront Demo"
            height="220"
          >
        </a>
      </td>
      <td align="center" valign="middle">
        <a href="https://tr.demo.magefan.top/admin/admin/">
          <img
            src="https://magefan.com/static/version1520969775/frontend/Magefan/new/en_US/images/product-tab-demo-2.jpg"
            alt="Magneto 2 Translation Extension Admin Panel Demo"
            height="220"
          >
        </a>
      </td>
    </tr>
    <tr>
      <td align="center" valign="middle">
        <a href="https://tr.demo.magefan.top/">
          view
        </a>
      </td>
      <td align="center" valign="middle">
        <a href="https://tr.demo.magefan.top/admin/admin/">
          view
        </a>
      </td>
    </tr>
  </tbody>
</table>

## Documentation

**General**
* [How to install Magento 2 Translation Extension?](https://magefan.com/magento-2-translation-extension/installation)
* [How to update Magento 2 Translation Extension?](https://magefan.com/magento-2-translation-extension/updating)
* [How to uninstall Magento 2 Translation Extension?](https://magefan.com/magento-2-translation-extension/uninstalling)

**Configuration**
* [How to Add Translations Magento 2 Translation Extension?](https://magefan.com/magento-2-translation-extension/configuration)
* [How to Edit and Translate Product Attributes in Magento?](https://magefan.com/magento-2-translation-extension/edit-product-attributes)
  
## Support
If you have any issues, please [contact us](mailto:support@magefan.com)
then if you still need help, open a bug report in GitHub's
[issue tracker](https://github.com/magefan/module-translation/issues).

## License
The code is licensed under [EULA](https://magefan.com/end-user-license-agreement).

## [Magento 2 Extensions](https://magefan.com/magento-2-extensions) by Magefan
### [Magento 2 Admin Panel Extensions](https://magefan.com/magento-2-extensions/admin-extensions)
  * [Magento 2 Automatic Related Products](https://magefan.com/magento-2-automatic-related-products)
  * [Magento 2 Automatic Related Products Plus](https://magefan.com/magento-2-automatic-related-products/pricing)
  * [Magento 2 Edit Order Extension](https://magefan.com/magento-2-edit-order-extension)
  * [Magento 2 Better Order Grid Extension](https://magefan.com/magento-2-better-order-grid-extension)
  * [Magento 2 Extended Product Grid](https://magefan.com/magento-2-product-grid-inline-editor)
  * [Magento 2 Google Shopping Feed](https://magefan.com/magento-2-google-shopping-feed-extension)
  * [Magento 2 Google Tag Manager](https://magefan.com/magento-2-google-tag-manager)
  * [Magento 2 Product Tabs Extension](https://magefan.com/magento-2/extensions/product-tabs)
  * [Magento 2 Admin View Extension](https://magefan.com/magento-2-admin-view-extension)
  * [Magento 2 Zero Downtime Deployment](https://magefan.com/blog/magento-2-zero-downtime-deployment)
  * [Magento 2 Admin Email Notifications](https://magefan.com/magento-2-admin-email-notifications)
  * [Magento 2 Dynamic Categories](https://magefan.com/magento-2-dynamic-categories)
  * [Magento 2 Convert Guest to Customer Extension](https://magefan.com/magento2-convert-guest-to-customer)
  * [Magento 2 Conflict Detector Extension](https://magefan.com/magento2-conflict-detector)
  * [Magento 2 Login As Customer Extension](https://magefan.com/login-as-customer-magento-2-extension)
  * [Magento 2 Mautic Integration Extension](https://magefan.com/magento-2-mautic-extension)
  * [Magento 2 CMS Display Rules Extension](https://magefan.com/magento-2-cms-display-rules-extension)
  * [Magento 2 Zendesk Chat Extension](https://magefan.com/magento-2-zendesk-chat-extension)
  * [Magento 2 YouTube Widget Extension](https://magefan.com/magento2-youtube-extension)
  * [Magento 2 CLI Extension](https://magefan.com/magento2-cli-extension)
  * [Magento 2 Facebook Pixel Extension](https://magefan.com/magento-2-facebook-pixel-extension)
  * [Magento 2 Price History](https://magefan.com/magento-2-price-history)
  * [Magento 2 Google Customer Reviews](https://magefan.com/magento-2-google-customer-reviews)

### [Magento 2 Blog Extensions](https://magefan.com/magento-2-extensions/blog-extensions)

  * [Magento 2 Blog Extension](https://magefan.com/magento2-blog-extension)
  * [Magento 2 Blog Plus Extension](https://magefan.com/magento2-blog-extension/pricing)
  * [Magento 2 Blog Extra Extension](https://magefan.com/magento2-blog-extension/pricing)
  * [Magento 2 Multi Blog Extension](https://magefan.com/magento-2-multi-blog-extension)
  * [Magento 2 AMP Blog Extension](https://magefan.com/magento-2-amp-blog-extension)
  * [Magento 2 Product Widget Advanced Extension](https://magefan.com/magento-2-product-widget)


### [Magento 2 SEO Extensions](https://magefan.com/magento-2-extensions/magento-2-seo-extensions)

  * [Magento 2 SEO Extension](https://magefan.com/magento-2-seo-extension)
  * [Magento 2 Rich Snippets Extension](https://magefan.com/magento-2-rich-snippets)
  * [Magento 2 HTML Sitemap Extension](https://magefan.com/magento-2-html-sitemap-extension)
  * [Magento 2 XML Sitemap Extension](https://magefan.com/magento-2-xml-sitemap-extension)
  * [Magento 2 SEO Suite Ultimate Extension](https://magefan.com/magento-2-seo-suite-ultimate-extension)
  * [Magento 2 Twitter Cards Extension](https://magefan.com/magento-2-twitter-cards-extension)
  * [Magento 2 Facebook Open Graph Extension](https://magefan.com/magento-2-open-graph-extension-og-tags)
  * [Magento 2 Hreflang Tags Extension](https://magefan.com/magento2-alternate-hreflang-extension)
  * [Magento 2 Google Analytics 4 Extension](https://magefan.com/magento-2-google-analytics-4)
 
### [Magento 2 Cart Extensions](https://magefan.com/magento-2-extensions/cart-extensions)

  * [Better Magento 2 Checkout Extension](https://magefan.com/better-magento-2-checkout-extension)
  * [Magento 2 Coupon Code Link](https://magefan.com/magento-2-coupon-code-link)

### [Magento 2 Speed Optimization Extensions](https://magefan.com/magento-2-extensions/speed-optimization-extensions)

  * [Magento 2 Lazy Load Extension](https://magefan.com/magento-2-image-lazy-load-extension)
  * [Magento 2 WebP Optimized Images Extension](https://magefan.com/magento-2-webp-optimized-images)
  * [Magento 2 Rocket JavaScript Extension](https://magefan.com/rocket-javascript-deferred-javascript)

### [Magento 2 Multi-Language Extensions](https://magefan.com/magento-2-extensions/multi-language-extensions)

  * [Magento 2 Auto Currency Switcher Extension](https://magefan.com/magento-2-currency-switcher-auto-currency-by-country)
  * [Magento 2 Auto Language Switcher Extension](https://magefan.com/magento-2-auto-language-switcher)
  * [Magento 2 GeoIP Switcher Extension](https://magefan.com/magento-2-geoip-switcher-extension)
  * [Magento 2 Translation Plus Extension](https://magefan.com/magento-2-translation-extension/pricing)

  ### Magento 2 Point of Sale
  * [Magento 2 POS System](https://magefan.com/magento-pos-system)
  
  ### Shopware Extensions
  * [Shopware WebP Extension](https://magefan.com/shopware/extensions/webp)
  * [Shopware Blog Extension](https://magefan.com/shopware/extensions/blog)
   
  ### Shopify Apps
  * [Shopify Login As Customer](https://apps.shopify.com/login-as-customer)
  * [Shopify Blog](https://apps.shopify.com/magefan-blog)
  
  ### Magento 2 Theme
  * [Optimized Magento 2 Theme](https://magefan.com/optimized-magento-2-theme)
